com.thinkaurelius.titan.diskstorage.locking.consistentkey

## Class ConsistentKeyLocker.Builder

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.locking.AbstractLocker.Builder<ConsistentKeyLockStatus,ConsistentKeyLocker.Builder>
  - - com.thinkaurelius.titan.diskstorage.locking.consistentkey.ConsistentKeyLocker.Builder

- Enclosing class:
    ConsistentKeyLocker

      public static class ConsistentKeyLocker.Builder
      extends AbstractLocker.Builder<ConsistentKeyLockStatus,ConsistentKeyLocker.Builder>

- - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.locking.AbstractLocker.Builder

      `llm, lockExpire, lockState, log, rid, serializer, times`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsistentKeyLocker.Builder(KeyColumnValueStore store, StoreManager manager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsistentKeyLocker` | `build()`
    `ConsistentKeyLocker.Builder` | `customCleaner(LockCleanerService s)`
    `ConsistentKeyLocker.Builder` | `fromConfig(Configuration config)`
    `protected LocalLockMediator<StoreTransaction>` | `getDefaultMediator()` Get the default `LocalLockMediator` for Locker being built.
    `ConsistentKeyLocker.Builder` | `lockRetryCount(int count)`
    `ConsistentKeyLocker.Builder` | `lockWait(Duration d)`
    `protected ConsistentKeyLocker.Builder` | `self()` Concrete subclasses should just "`return this;`".
    `ConsistentKeyLocker.Builder` | `standardCleaner()`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.locking.AbstractLocker.Builder

      `internalState, lockExpire, logger, mediator, mediatorName, preBuild, rid, serializer, times`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsistentKeyLocker.Builder

          public ConsistentKeyLocker.Builder(KeyColumnValueStore store,
                                     StoreManager manager)

  - ### Method Detail

    - #### lockWait

          public ConsistentKeyLocker.Builder lockWait(Duration d)

    - #### lockRetryCount

          public ConsistentKeyLocker.Builder lockRetryCount(int count)

    - #### standardCleaner

          public ConsistentKeyLocker.Builder standardCleaner()

    - #### customCleaner

          public ConsistentKeyLocker.Builder customCleaner(LockCleanerService s)

    - #### fromConfig

          public ConsistentKeyLocker.Builder fromConfig(Configuration config)

    - #### build

          public ConsistentKeyLocker build()

    - #### self

          protected ConsistentKeyLocker.Builder self()

      Description copied from class: `AbstractLocker.Builder`
      Concrete subclasses should just "`return this;`".
      Specified by:
        `self` in class `AbstractLocker.Builder<ConsistentKeyLockStatus,ConsistentKeyLocker.Builder>`
      Returns:
        concrete subclass instance

    - #### getDefaultMediator

          protected LocalLockMediator<StoreTransaction> getDefaultMediator()

      Description copied from class: `AbstractLocker.Builder`
      Get the default `LocalLockMediator` for Locker being built. This is called when the client doesn't specify a locker.
      Specified by:
        `getDefaultMediator` in class `AbstractLocker.Builder<ConsistentKeyLockStatus,ConsistentKeyLocker.Builder>`
      Returns:
        a lock mediator

Copyright © 2012–2014. All rights reserved.